<?php
/*********************************************************      
 文件说明:         
    功能说明:修改短消息费率

    调用关系:调用:header.inc  
             被调用:实现各个功能模块的页面        
    变量说明:

作者:崔体存    2004-04-13
NO.1      
姓名：         
时间：  
修改说明：
*********************************************************/ 
require("../../inc/header.inc");
$record_id=$_REQUEST['record_id'];
$mode=$_REQUEST['mode'];
$tariffID=$_REQUEST['tariffID'];
?>
<body leftmargin="15" rightmargin="10" onload="javascript:adjust();" onresize="javascript:adjust();" style="overflow:hidden;overflow-x:hidden;overflow-y:hidden;">

<form name="editform" action="<?php echo"$PHP_SELF?record_id=$record_id&mode=$mode"; ?>" method="POST">

<?php
$DEBUG =0;
adjust_head();
adjust_title_head();
//==========================================================
//变量定义
//==========================================================
$ppsDb		='PPS_DB';
$tableName	='pre_vas_mms_email_tariff';

global $pubConn,$OMC_server;
$srcDataConn = mysqli_connect($OMC_server[0]['host'],$OMC_server[0]['user'],$OMC_server[0]['password'], $ppsDb);

$prefix=$_REQUEST['prefix']?$_REQUEST['prefix']:'';
$call_type=isset($_REQUEST['call_type']) ?$_REQUEST['call_type']:'DEFAULT';
$discount_id=$_REQUEST['discount_id']?$_REQUEST['discount_id']:'DEFAULT';
$dest_name=$_REQUEST['dest_name']?$_REQUEST['dest_name']:'DEFAULT';
$charge_fee=$_REQUEST['charge_fee']?$_REQUEST['charge_fee']:'DEFAULT';


$listPageURL = "mttariff.php?keep_id=1&return_tariff_id=$tariffID";




$moneyPara	= getMoneyPara();			   //显示的货币单位是最小货币单位的倍数
$strPageTitle=$strTitleAdvanced.$strTitleSpace."PPS".$strTitleSpace."Tariff plan".$strTitleSpace."MMS Email";
$arr_mode=array("edit","add");
if($mode == "add"){
	$tableTitle = "Add MMS Email";
}
elseif($mode == "edit"){
	$tableTitle = "Edit MMS Email";
}

//==========================================================
//输入变量
//==========================================================
if($DEBUG) echo "<br>record_id=$record_id";

//==========================================================
//数据处理
//==========================================================
//保存修改的变量
if(strlen($_REQUEST['set']) > 0){
	if ($mode == "edit"){
		$setSql="UPDATE $tableName
				  SET prefix= '$prefix',
					  call_type= '$call_type',
					  dest_name= $dest_name,
					  discount_id = $discount_id, 
					  charge_fee = $charge_fee  
				   WHERE email_id='$record_id' AND tariff_id='$tariffID'";
		if($DEBUG)  echo "<br>$setSql";
		$result= @mysqli_query($srcDataConn,$setSql);
		echo mysqli_error($srcDataConn);
		if($DEBUG) exit();
		echo " <meta http-equiv=\"refresh\" content=\"0; url=$listPageURL\"> ";
	}
}

//==========================================================
//输出并显示数据
//==========================================================
$getEditSql="SELECT tariff_id,email_id,prefix,call_type,dest_name,discount_id,charge_fee,cap_flag 
		FROM $tableName
		WHERE email_id='$record_id' AND tariff_id='$tariffID'";
if($DEBUG) 
echo "<br>$getEditSql";
$resultEdit= @mysqli_query($srcDataConn,$getEditSql);
$rows= @mysqli_fetch_array($resultEdit);
echo mysqli_error($srcDataConn);
?>


<?php

echo "<table id=\"table_up\" border=\"0\" width=\"100%\">";
	echo "<tr>";
		echo "<td width=\"50%\">";
		echo "$strPageTitle";
		echo "</td>";
		echo "<td width=\"50%\" align=\"right\">&nbsp;";

		echo "</td>";
	echo "</tr>";
echo "</table>";

adjust_title_tail();
adjust_content_head();
echo "<br>";

//echo "<pre>";
//print_r($rows);
//echo "</pre>";

?>

<table border="1" width="400" cellpadding="2" cellspacing="0"  bordercolor="#666666" bordercolordark="#FFFFFF" bgcolor="#FFFFFF"  >
  <tr bgcolor="#E6E6E6">
    <td colspan="2">
	  <?php echo $tableTitle; ?>
	</td>
  </tr>
  <?php
    if ($mode == "edit"){
		echo "<tr>";
		echo "<td width=\"40%\">ID</td>";
		echo "<td width=\"60%\">$record_id</td>";
		echo "<input type=\"hidden\" name=\"tariff_id\" value=\"$rows[tariff_id]\" size=\"25\">";
	  $return_tariff_id = $rows[tariff_id]; //定义返回时的页面
		echo "</tr>";

		//prefix
		echo "<tr>";
		echo "<td>Prefix</td>";
		echo "<td><input type=\"text\" name=\"prefix\" size=\"32\" value=\"$rows[prefix]\"></td>";
		echo "</tr>";
		
		//call type
		$call_type_value=$rows[call_type]+0;
		$mms_email_call_type_label=array(4=>"Local call in",5=>"Trunk call in");
		echo "<tr>";
		echo "<td>Call type</td>";
		echo "<td>";
		echo "<select name=\"call_type\" size=1>";
		foreach($mms_email_call_type_label as $key => $value)
		{
			if($call_type_value==$key)
				echo "<option selected value=$key>{$value}</option>";
			else
				echo "<option value=$key>{$value}</option>";	
		}
		echo "</select>";
		echo "</td>";
		echo "</tr>";
		
		//dest name
		echo "<tr>";
		echo "<td>Dest name</td>";
		echo "<td><input type=\"text\" name=\"dest_name\" size=\"32\" value=\"$rows[dest_name]\"></td>";
		echo "</tr>";
		
		//discount_id
		echo "<tr>";
		echo "<td>Discount ID</td>";
		echo "<td><input type=\"text\" name=\"discount_id\" size=\"10\" value=\"$rows[discount_id]\"></td>";
		echo "</tr>";
		
		//charge_fee
		echo "<tr>";
		echo "<td>Charge fee</td>";
		echo "<td><input type=\"text\" name=\"charge_fee\" size=\"10\" value=\"$rows[charge_fee]\"></td>";
		echo "</tr>";
		
		//cap flag
		$cap_flag_value=$rows[cap_flag]+0;
		$cap_flag_label=array(0=>"Disable",1=>"Enable");
		echo "<tr>";
		echo "<td>Cap flag</td>";
		echo "<td>{$cap_flag_label[$cap_flag_value]}&nbsp;</td>";
		echo "</tr>";
		
	  }
    ?>	
  </table>
  <table  width="400">     
    <tr>     
     <td> 
	      <input type="hidden" name="tariffID" value="<?php echo $tariffID;?>">
	      <input type="submit" name="set" value="Set" style="width:40" class="button">&nbsp; 
		  <input type="reset" name="reset" value="Reset" class="button">&nbsp;
		  <input type="button" name="return" value="Return" onclick=jacascript:location.href="./tariffBasic.php" class="button">&nbsp;
        </td>         
   </tr>           
  </table>
</form>
<?php
adjust_content_tail();
?>
</body>   
</html>